Package ru.bitel.bgbilling.modules.inet.server.bean

# Class InetAuthErrorDao

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.common.dao.AbstarctDaoConstant
ru.bitel.bgbilling.modules.inet.server.bean.InetAuthErrorDao

All Implemented Interfaces:
  `AutoCloseable`

public class InetAuthErrorDao extends ru.bitel.common.dao.AbstarctDaoConstant implements AutoCloseable

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.dao.AbstarctDaoConstant

  `ERROR, fields, SQL_ALL, SQL_AND, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_JOIN, SQL_LEFT_JOIN, SQL_LIMIT, SQL_NOT_IN, SQL_ON, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InetAuthErrorDao(ConnectionSet connectionSet, int moduleId, Date date)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addError(InetAuthError error)`
  `void`
  `addError(InetAuthError error, boolean update)`
  `void`
  `addError(InetAuthError error, ConnectionLogEntry logEntry, boolean update)`
  `void`
  `close()`
  `Result<InetAuthError>`
  `errorList(InetAuthErrorFilter filter, Page page)`

  ### Methods inherited from class ru.bitel.common.dao.AbstarctDaoConstant

  `getSQLOrder, psSetDate, psSetInt, psSetString, queryAndIn`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### InetAuthErrorDao

    public InetAuthErrorDao(ConnectionSet connectionSet, int moduleId, Date date)

- ## Method Details

  - ### addError

    public void addError(InetAuthError error) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### close

    public void close()
    Specified by:
      `close` in interface `AutoCloseable`

  - ### addError

    public void addError(InetAuthError error, boolean update) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### addError

    public void addError(InetAuthError error, ConnectionLogEntry logEntry, boolean update) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### errorList

    public Result<InetAuthError> errorList(InetAuthErrorFilter filter, Page page) throws Exception
    Throws:
      `Exception`